<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- design_studio_002 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body marginwidth="0" marginheight="0" leftmargin="0" topmargin="0" bottommargin="0" rightmargin="0">
<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
	<tr>
		<td style="padding: 102px 0 80px 0; background-image:url(images/av056_01.gif);">
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
  <tr><td width="112" height="100%"><img name="" src="" width="112" height="1" alt=""/></td>
    <td height="100%" valign="top"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" class="main-bg" style="background-image:url(images/av056_01.gif)" >
      <tr>
        <td align="center" ><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td ><div  style="width:40px; height:7px "><span></span></div></td>
            <td  width="100%" bgcolor="#FFFFFF"></td>
          </tr>
        </table>
          <table width="100%"  border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td align="center" valign="middle"   width="190" style=" background-image:url(images/av056_09.gif); background-repeat:no-repeat "><table cellpadding="0" cellspacing="0" border="0" >
                  <tr>
                    <td><!-- LOGO -->
                        <table cellpadding="0" cellspacing="0" align="center">
                          <tr>
                            <td align="center" style="padding-bottom:10px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a> </td>
                          </tr>
                          <tr>
                            <td align="center"  class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/> </td>
                          </tr>
                        </table>
                        <!-- END LOGO --></td>
                  </tr>
              </table></td>
              <td valign="top" style="padding-right:5px; background-color:#FFFFFF"><table width="100%"  border="0" cellpadding="3" cellspacing="1" bgcolor="#CCCCCC">
                  <tr>
                    <td bgcolor="#FFFFFF"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                        <tr>
                          <td  style="width:196px; height:7px "><img src="images/header.jpg" width="196" height="148"/></td>
                          <td align="center" class="slogan"  bgcolor="#002201" style="padding-left:20px "><table width="300" border="0" align="left" cellpadding="0" cellspacing="0">
                              <tr>
                                <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/> </td>
                              </tr>
                          </table></td>
                          <td  bgcolor="#002201" width="10"></td>
                        </tr>
                    </table></td>
                  </tr>
              </table></td>
            </tr>
          </table>
          <table width="100%" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td ><div  style="width:40px;"><span></span></div></td>
              <td width="100%" align="center" style="background-color:#ffffff; padding:0 10 10 30 "><!-- MENU -->
                  <table height="30" cellpadding="0" cellspacing="0">
                    <tr valign="bottom"> <xsl:call-template name="TOP-MENU"/> </tr>
                  </table>
                  <!-- END MENU --></td>
            </tr>
          </table></td>
      </tr>
      <tr>
        <td height="100%" align="center" valign="top" ><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td height="4" valign="top"><img src="images/av056_23.gif" width="190" height="4"/></td>
            <td width="188" colspan="2" background="images/av056_25.gif"></td>
          </tr>
          <tr>
            <td valign="top" bgcolor="#FFFFFF"><!-- SUBMENU --></td>
            <td rowspan="3" bgcolor="#e5e5e5"><div  style="width:1px;"><span></span></div></td>
            <td width="100%" height="100%"  rowspan="3" valign="top" bgcolor="#FFFFFF"><table height="100%" border="0" cellpadding="0" cellspacing="0" style="width: 100%; height: 100%;">
                <tr>
                  <td align="left" valign="top" bgcolor="#FFFFFF" class="pageContent" style="padding: 25px;" width="100%" height="100%"><!-- CONTENT -->
                      <table cellpadding="0" cellspacing="0" border="0">
                        <tr>
                          <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                          <td style="padding-left: 10px;"><img src="images/av056_30.gif" alt="" width="16" height="16" border="0"/></td>
                        </tr>
                      </table>
                      <table border="0" cellspacing="0" cellpadding="0" width="100%" height="100%">
                        <tr>
                          <td width="100%" height="100%" valign="top" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/> </td>
                        </tr>
                    </table></td>
                </tr>
            </table></td>
          </tr>
          <tr>
            <td align="center" valign="top" background="images/submenu_bg.gif" ><table width="190"  border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td width="190" colspan="2" bgcolor="#FFFFFF" style="padding:55px 20px 76px 20px;">
				  <table cellpadding="0" cellspacing="0" align="center">
                                <xsl:call-template name="SUB-MENU"> <xsl:with-param name="pageID" select="@ID"/> </xsl:call-template>

                  </table></td>
                </tr>
                <tr>
                  <td height="4" colspan="2"><img src="images/submenu_b.gif" width="190" height="5"/></td>
                </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td height="100%" align="center" ><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td rowspan="2" ><div  style="width:40px;"><span></span></div></td>
            <td  width="100%" bgcolor="#e5e5e5"><div style="height:1px"><span></span></div></td>
          </tr>
          <tr>
            <td><table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 70px; background-image: url('images/footer_bg.gif');">
                <tr>
                  <td width="100%" bgcolor="#FFFFFF" style="padding-left:30px;"><!-- BOTTOM MENU -->
                      <table cellpadding="0" cellspacing="0" align="center">
                        <tr> <xsl:call-template name="BOTTOM-MENU"/> </tr>
                      </table>
                      <!-- END BOOTTOM MENU -->
                      <div style="width:0px; height:10px;"><span></span></div>
                      <!-- FOOTER -->
                      <div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
                      <div style="width:0px; height:10px;"><span></span></div>
                      <!-- END FOOTER -->
                  </td>
                  <td valign="bottom" ><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
                      <tr>
                        <td bgcolor="#FFFFFF"></td>
                      </tr>
                      <tr>
                        <td height="70"><img src="images/av056_41.gif" width="107" height="70"/></td>
                      </tr>
                  </table></td>
                </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
    <td width="112"><img name="" src="" width="112" height="1" alt=""/></td>
</tr></table>
		</td>
	</tr>
</table>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >

<tr>
<td width="20"><img src="images/av056_30.gif" border="0" alt=""/></td>
<td class="asubmenu" style="padding-left: 5px; width: 100%;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
</tr>

		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">

<tr>
<td width="20"><img src="images/av056_30.gif" border="0" alt=""/></td>
<td style="padding-left: 5px; width: 100%;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
</tr>

		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
<tr>
<td><img src="images/space.gif" border="0" width="20" height="15" alt=""/></td>
<td><div style="height:1px;  background-image: url('images/av056_34.gif'); background-repeat: repeat-x;"><span></span></div></td>
</tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">

      <td class="bmenu"><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>

	   </xsl:when>

           <!-- when active-->
           
           <xsl:otherwise>

<td class="bmenu"><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>

	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">

<td style=" padding-left:5px; padding-right:5px"><img src="images/av056_44.gif" alt="" width="7" height="7" style="margin: 0px 5px 0px 5px;"/></td>

  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
