<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- active menu with link-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
				<td width="69" style="background-image: url('images/menu_item.jpg'); background-position: center; background-repeat: no-repeat;">
					<table cellpadding="0" cellspacing="0" border="0" summary="" align="center" style="height: 100%;">
						<tr><td height="29" align="center"><a href="{@HREF}" class="amenu"><img src="images/bullet.gif" border="0" alt=""/><br/><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td></tr>
						<tr><td valign="top" align="center" style="padding-top: 22px;"><a href="{@HREF}" class="menu-number"><xsl:if test="position()&lt;10">0</xsl:if><xsl:value-of select="position()"/></a></td></tr>
					</table>
				</td>
            </xsl:when>
            
            
            <xsl:otherwise>
				<td width="69" style="background-image: url('images/menu_item.jpg'); background-position: center; background-repeat: no-repeat;">
					<table cellpadding="0" cellspacing="0" border="0" summary="" align="center" style="height: 100%;">
						<tr><td height="29" align="center"><a href="{@HREF}" class="menu"><img src="images/bullet.gif" border="0" alt=""/><br/><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td></tr>
						<tr><td valign="top" align="center" style="padding-top: 22px;"><a href="{@HREF}" class="menu-number"><xsl:if test="position()&lt;10">0</xsl:if><xsl:value-of select="position()"/></a></td></tr>
					</table>
				</td>
            </xsl:otherwise>
	    </xsl:choose>
		<xsl:if test="position()!=last()">
			<td width="8"><div style="width:5px; height:0px;"><span></span></div></td>
	</xsl:if>
	</xsl:template>	

</xsl:stylesheet>
